VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Using fonts in a form without Font Dialog Box"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6990
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   6990
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text3 
      Height          =   1215
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   13
      Top             =   3960
      Width           =   3255
   End
   Begin VB.Frame Frame1 
      Caption         =   "Options"
      Height          =   1695
      Left            =   3480
      TabIndex        =   5
      Top             =   480
      Width           =   3375
      Begin VB.TextBox Text1 
         Height          =   285
         Left            =   1200
         TabIndex        =   9
         Text            =   "12"
         Top             =   240
         Width           =   615
      End
      Begin VB.CheckBox Check1 
         Caption         =   "Italic"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   178
            Weight          =   400
            Underline       =   0   'False
            Italic          =   -1  'True
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   840
         Width           =   1095
      End
      Begin VB.CheckBox Check2 
         Caption         =   "Bold"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   178
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   1200
         TabIndex        =   7
         Top             =   1080
         Width           =   975
      End
      Begin VB.CheckBox Check3 
         Caption         =   "Underline"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   178
            Weight          =   400
            Underline       =   -1  'True
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Left            =   2160
         TabIndex        =   6
         Top             =   1320
         Width           =   1095
      End
      Begin VB.Label Label4 
         BackStyle       =   0  'Transparent
         Caption         =   "* Each font has its own valid values for size"
         Height          =   375
         Left            =   120
         TabIndex        =   11
         Top             =   600
         Width           =   3255
      End
      Begin VB.Label Label1 
         Caption         =   "Font Size:"
         Height          =   255
         Left            =   240
         TabIndex        =   10
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.TextBox Text2 
      Alignment       =   2  'Center
      Height          =   1245
      Left            =   3480
      TabIndex        =   4
      Text            =   "-- Sample --"
      Top             =   3960
      Width           =   3375
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   120
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   1080
      Width           =   3255
   End
   Begin VB.ListBox List1 
      Height          =   1230
      Left            =   3480
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   2640
      Width           =   3375
   End
   Begin VB.Label Label6 
      Caption         =   "Font Combo Box properties go here..."
      Height          =   255
      Left            =   120
      TabIndex        =   14
      Top             =   3600
      Width           =   3255
   End
   Begin VB.Label Label5 
      Caption         =   "Combo Box example of showing system fonts."
      Height          =   255
      Left            =   120
      TabIndex        =   12
      Top             =   840
      Width           =   3255
   End
   Begin VB.Label Label3 
      Caption         =   "This is an example of how you can sort system fonts in a combo box or list box etc."
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   3135
   End
   Begin VB.Label Label2 
      Caption         =   "List Box example of showing system fonts."
      Height          =   255
      Left            =   3480
      TabIndex        =   2
      Top             =   2280
      Width           =   3375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'=========================================================================================
'  Form 1
'  Main Form
'=========================================================================================
'  Adapted and Modified By: Behrooz Sangani
'  Published Date: 19/11/2001
'  Email: bs20014@yahoo.com
'  Send comments to the address above! This code is _
   just an improved msdn example of using fonts without _
   calling the font dialog box ...
'=========================================================================================
'  Based On: MSDN Examples
'=========================================================================================

Option Explicit

'=========================================================================================
Private Sub Check1_Click()
    On Error Resume Next
    If Check1.Value = 1 Then
        Combo1.FontItalic = True
        Text2.FontItalic = True
        ComboProps Combo1
    Else
        Combo1.FontItalic = False
        Text2.FontItalic = False
        ComboProps Combo1
    End If
End Sub 'Check1_Click() 'Check Font Italic for sample text
'=========================================================================================
Private Sub Check2_Click()
    On Error Resume Next
    If Check2.Value = 1 Then
        Combo1.FontBold = True
        Text2.FontBold = True
        ComboProps Combo1
    Else
        Combo1.FontBold = False
        Text2.FontBold = False
        ComboProps Combo1
    End If
End Sub 'Check2_Click() 'Check Font Bold for sample text
'=========================================================================================
Private Sub Check3_Click()
    On Error Resume Next
    If Check3.Value = 1 Then
        Combo1.FontUnderline = True
        Text2.FontUnderline = True
        ComboProps Combo1
    Else
        Combo1.FontUnderline = False
        Text2.FontUnderline = False
        ComboProps Combo1
    End If
End Sub 'Check3_Click() 'Check Font Underline for sample text
'=========================================================================================
Private Sub Combo1_Click()
    On Error Resume Next
    With Combo1
        .Font = .Text
        .FontSize = Text1.Text
        Text3.Font = .Text
    End With
    ComboProps Combo1
End Sub 'Combo1_Click() 'Change Combo font to the selected item
'=========================================================================================
Private Sub Form_Load()
    On Error Resume Next
    Module1.FillListWithFonts List1
    Module1.FillComboWithFonts Combo1
    Combo1.FontSize = Text1.Text
    Text2.FontSize = Text1.Text
    Combo1.Text = "Arial"
    List1.Selected(0) = True
End Sub 'Form_Load() 'Fill Combo and List Box with system fonts
'=========================================================================================
Private Sub List1_Click()
    On Error Resume Next
    Text2.Font = List1.Text
End Sub 'List1_Click() 'Change sample text
'=========================================================================================
Private Sub Text1_Change()
    On Error Resume Next
    Combo1.FontSize = Text1.Text
    Text2.FontSize = Text1.Text
    ComboProps Combo1
End Sub 'Text1_Change() 'Change font size
'=========================================================================================
Sub ComboProps(CB As ComboBox)
    On Error Resume Next
    With CB
        Text3.Text = .Text & " " & .FontSize & vbCrLf & "Italic= " & .FontItalic _
            & vbCrLf & "Bold= " & .FontBold & vbCrLf & "Underline= " _
            & .FontUnderline
    End With
End Sub 'ComboProps(CB As ComboBox) 'Show font properties in a text box
'=========================================================================================
